<div *ngIf="!is_expand || no_data_found" class="row mb-1 mt-3">
    <div *ngIf="!no_data_found" class="col-sm-9 pr-0" style="margin-left: 0%;">
        <div class="card border-0 box-shadow-none border-radius-10 bg-transparent"
             style="margin-left: 3.7rem;margin-right: 0.3rem;">
            <div (click)="toggle_entity();"
                 class="card-header d-flex collapsed-card-border pr-0 align-items-center card-shadow bg-white border-radius-10 cursor">
                <div class="card-header-title dashboard-tile-title cursor custom-mouseover">
                    <span class="mr-2"><i class="las la-angle-right f-20"></i></span>
                    <span class="dashboard-tile-title fw-400">{{card_title}}</span>
                </div>
            </div>
        </div>
    </div>
    <div *ngIf="no_data_found" class="col-sm- pr-0">
        <div class="card card-shadow" style="min-height:487px;margin-left: 3.7rem;margin-right: 0.3rem;">
            <div class="card-header with-elements pr-0 align-items-center card-bb-color">
                <div class="card-header-title dashboard-tile-title cursor custom-mouseover">
                    <span class="mr-2"><i class="las la-angle-down f-20"></i></span><span
                        class="dashboard-tile-title fw-400">{{card_title}}</span>
                </div>
            </div>
            <flow-error></flow-error>
        </div>
    </div>
    <div class="col-sm-3 pt-4">
        <p class="f-14"></p><!-- //right side title for some content  -->
    </div>
</div>
<!-- <div class="col-md-9 position-relative" *ngIf="is_expand">
  <div class="connecting_line_top_expand" style="position: absolute;bottom:-75px; right:25px;width:2px;background: #C4C4C4;height: 120px;"></div>
</div> -->

<div *blockUI="blockUIName; template: blockTemplate" class="custom-bg-block-ui">
    <div id="flow_container" [hidden]="!is_expand || no_data_found" class="row  mt-3 ml-0 mr-0 flow_container fullscreen_{{is_fullscreen_view}}"
         style="flex-wrap: unset;min-height:400px;padding-left: 3rem;;overflow-x: auto;overflow-y: hidden;padding-bottom:20px;">
        <div class="col-sm-9">
            <div class="card card-shadow border-radius-10 popup_fullscreen" style="min-height:487px;" id="fullscreen_{{flow_child.view_type}}">
                <div class="card-header with-elements pr-0 align-items-center card-bb-color" >
                    <div (click)="toggle_entity();"
                         class="card-header-title dashboard-tile-title cursor custom-mouseover"> <span class="mr-2"><i
                            class="las la-angle-down f-20"></i></span><span
                            class="dashboard-tile-title fw-400">{{card_title}}</span></div>
                    <div class="ml-auto btn-group btn-group-xs btn-group-toggle  mr-2 align-items-center" >
                        <div class="align-items-center d-flex" >
                        <div *ngIf="flow_child.view_type === 'detail'">
                            <div class="mr-1">
                                <span class="normal-class pr-2">Current Data</span>
                                <label class="switcher">
                                    <input class="switcher-input" type="checkbox" [(ngModel)]="current_data">
                                    <span class="price-indicator switcher-indicator">
                                      <span class="switcher-yes"></span>
                                      <span class="switcher-no"></span>
                                    </span>
                                </label>
                            </div>

                        </div>
                        <div class="mr-1" *ngIf="show_search">
                            <div class="input-group align-items-center price-searchbox">
                                 <span>
                                      <i class="las la-search f-20 ml-2 pb-0 search_icon_transform"></i>
                                   </span>
                                <input class="form-control border-0 px-2 py-0 search_bg bg-transparent" id="search"
                                       placeholder="" type="text"
                                       [(ngModel)]="search_item" (keyup)="search_Items()">
                                    <span (click)="search_item = '';search_Items();">
                                      <i class="las la-times f-20 mr-2" style="color: #AAAAAA;cursor: pointer"></i>
                                   </span>
                            </div>
                        </div>
                        <div class="ml-1"  *ngIf="flow_child.view_type !== 'overview' " (click)="show_search_box()">
                            <button class="btn p-1" ngbTooltip="Search" placement="bottom">
                                <i class="las la-search f-22 custom-mouseover search_icon_transform"></i></button>
                        </div>
                        <!-- <div class="ml-1"  *ngIf="flow_child.view_type !== 'overview' " >
                            <button class="btn p-1" ngbTooltip="Close" placement="bottom">
                                <i class="las la-times f-22 custom-mouseover"></i></button>
                        </div> -->
                        <div class="ml-1" *ngIf="!is_fullscreen_view">
                            <button class="btn p-1" ngbTooltip="View visualization in full screen" placement="bottom"
                                    container="body"
                                    (click)="fullScreen('fullscreen_' + flow_child.view_type, 'custom');">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-auto btn-group btn-group-xs btn-group-toggle  mr-1 align-items-center" *ngIf="is_fullscreen_view">
                            <div class="ml-1" (click)="closeFullScreen()">
                                <button class="btn p-1 pt-0" ngbTooltip="Close" placement="bottom">
                                    <i class="ion-md-close f-20 pr-1 custom-mouseover"></i></button>
                            </div>
                        </div>
                        <!-- <div class="ml-1">
                            <button class="btn p-1" ngbTooltip="Understand the data behind this card"
                                    placement="bottom">
                                <i class="las la-question-circle f-20 custom-mouseover"></i></button>
                        </div> -->
                        <!-- <div class="ml-1">
                            <button class="btn p-1" ngbTooltip="More Actions" placement="bottom">
                                <i class="las la-ellipsis-v f-20 custom-mouseover"></i></button>
                        </div> -->
                    </div>
                    </div>
                    
                </div>

                <!-- overview card -->
                <div class="card-body p-0 price-first-chart" *ngIf="flow_child.view_type === 'overview'" id="overview">
                    <price-analysis [response_data]="flow_child?.response_data"></price-analysis>
                </div>

                <!-- Hierarchy table -->
                <div *ngIf="flow_child.view_type === 'hierarchy'" class="card-body p-0 hierarchy_table" id="hierarchy">
                    <data-tree-table [response_data]="flow_child?.response_data"></data-tree-table>
                </div>
                <!-- Detailed view table -->
                <div *ngIf="flow_child.view_type === 'detail'"
                     class="card-body p-0 temp-class1 price_detailed_view" id="detail" >
                    <price-detailed-view [response_data]="flow_child?.response_data" [current_data]="current_data"></price-detailed-view>
                </div>



                <!--<div *ngIf="flow_child.view_type === 'opportunity_chart'" class="card-body p-0" id="opportunity_chart">
                    <price-opportunity></price-opportunity>
                </div>-->

            </div>
        </div>

        <div class="col-sm-3">
            <app-hint [id]="'summary'"></app-hint>
            <ngb-tabset class="nav-tabs-top flowtab flowtab_title">
                <ngb-tab *ngFor="let tab of flow_child?.hs_info">
                    <ng-template ngbTabTitle>
                        <span class="tab-title text-capitalize">{{tab.name}}</span>
                    </ng-template>
                    <ng-template ngbTabContent>
                        <div class="card-body px-0" style="padding-bottom:10px !important;  overflow: hidden;overflow-y: auto;"
                            [perfectScrollbar]>
                            <div class="f-14" [innerHTML]='tab.description | safeHtml'></div>
                        </div>
                    </ng-template>
                </ngb-tab>
            </ngb-tabset>
        </div>
    </div>
    <div class="row switching-tab-mt pr-switching-tab"  *ngIf="is_expand ">

        <div class="col-sm-9 ml-5">
            <!-- start switch icons -->
            <div class="mx-auto text-center switch-tab-height">
                <span class="ml-1" *ngIf="flow_child.object_id != 0">
                        <button class="btn p-1">
                            <div style="line-height: 1;">
                                <i class="fas fa-circle f-5 border-100"
                                [ngClass]="scroll_position.active=='center'?'blue-dot':'gray-dot'">
                               </i>
                               </div>
    
                            <div style="padding-top:1px;">
                                <i class="las la-table f-20"
                               [ngClass]="scroll_position.active=='center'?'':'gray-text'"
                               ngbTooltip="Data View" placement="bottom" container="body"></i>
                            </div>
                        </button>
                    </span>

                <span class="ml-1" *ngIf="flow_child.object_id === 0 ">
                        <button class="btn p-1">
                            <div style="line-height: 1;">
                                <i class="fas fa-circle f-5 border-100 blue-dot">
                                </i>
                               </div>
    <div style="padding-top:1px;">
        
        <i class="las la-chart-bar f-20" ngbTooltip="Visualization" placement="bottom"
        container="body"></i>
    </div>
                        </button>
                    </span>
                <span class="ml-1" *ngIf="flow_child?.hs_info.length>0">
                        <button class="btn p-1">
                            <div style="line-height: 1;">
                                <i class="fas fa-circle f-5 border-100"
                                [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ? 'blue-dot':'gray-dot'">
                               </i>
                               </div>
            
                       <div style="padding-top:1px;">
                        <i class="las la-lightbulb f-20" ngbTooltip="Insights" placement="bottom" container="body"
                        [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ?'':'gray-text'"></i>
                       </div>
                        </button>
                    </span>
            </div>
            <!-- end switch icons -->
        </div>
        <div class="col-md-3">

        </div>
    </div>
</div>
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg" /> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100"
                     preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                 repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.6s">
                        </animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                 repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s"></animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                 repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.3s">
                        </animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                 repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.15s">
                        </animate>
                    </circle>
                </svg>
                <span class="loading-text-material"> </span></div>
        </div>
    </div>
</ng-template>
